# Contributing to the project

We welcome contributions, but request you follow these guidelines.

 - [Raising issues](#raising-issues)
 - [Feature requests](#feature-requests)
 - [Pull-Requests](#pull-requests)
   - [Contributor License Agreement](#contributor-license-agreement)

## Raising issues

Please raise any bug reports on the project's issue tracker. Be sure to
search the list to see if your issue has already been raised.

A good bug report is one that make it easy for us to understand what you were
trying to do and what went wrong.

Provide as much context as possible so we can try to recreate the issue.
If possible, include the relevant part of your flow. To do this, select the
relevant nodes, press Ctrl-E and copy the flow data from the Export dialog.

## Feature requests

For feature requests, please first discuss them on the [Node-RED mailing list](https://groups.google.com/forum/#!forum/node-red).

## Pull-Requests

If you want to raise a pull-request with a new feature, or a refactoring
of existing code, it may well get rejected if you haven't discussed it on
the [mailing list](https://groups.google.com/forum/#!forum/node-red) first.


### Developer's Certificate of Origin

In order for us to accept pull-requests, we ask that all commits are signed to
indicate the committer agrees to the terms of the [Developer's Certificate of Origin 1.1 (DCO)](DCO1.1.txt)

Here is an example Signed-off-by line, which indicates that the submitter accepts the DCO:

```
Signed-off-by: John Doe <john.doe@hisdomain.com>
```

You can include this automatically when you commit a change to your local git
repository using `git commit -s`.

